# ModelImporter (JavaFX 3D Model Importers)
Date: 2014-02-09

com.interactivemesh.jfx.importer

## Interface ModelImporter

All Superinterfaces:
  Importer

All Known Implementing Classes:
  ColModelImporter, FxmlModelImporter, ObjModelImporter, TdsModelImporter, X3dModelImporter

    public interface ModelImporter
    extends Importer

The ModelImporter interface specifies the core import capabilities of the JavaFX 3D model importers.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Map<javafx.scene.image.Image,FilePath>` `getImageFilePaths()` Gets the map which contains the FilePath objects for all imported texture images.
`java.util.Map<java.lang.String,javafx.scene.paint.PhongMaterial>` `getNamedMaterials()` Gets the map which contains all named and used PhongMaterial objects from the imported file.
`java.lang.String` `getResourceBasePath()` Gets the path where files associated with the imported 3D model file are located.
`java.net.URL` `getResourceBaseUrl()` Gets the URL where files associated with the imported 3D model file are located.
`void` `setResourceBasePath(java.lang.String path)` Sets the path where files associated with the imported 3D model file are located.
`void` `setResourceBaseUrl(java.net.URL url)` Sets the URL where files associated with the imported 3D model file are located.

### Methods inherited from interface com.interactivemesh.jfx.importer.Importer

`clear, close, getCreaseAngle, getImport, onFileImported, read, read, read, setCreaseAngle`

### Method Detail

#### getResourceBasePath

    java.lang.String getResourceBasePath()

Gets the path where files associated with the imported 3D model file are located. Default value: `null`.

Returns:
  location of associated files

#### getResourceBaseUrl

    java.net.URL getResourceBaseUrl()

Gets the URL where files associated with the imported 3D model file are located. Default value: `null`.

Returns:
  location of associated files

#### setResourceBasePath

    void setResourceBasePath(java.lang.String path)

Sets the path where files associated with the imported 3D model file are located. Only needs to be set if the base directory differs from that containing the imported 3D model file. Default value: `null`.

Parameters:
  `path` - location of associated files

#### setResourceBaseUrl

    void setResourceBaseUrl(java.net.URL url)

Sets the URL where files associated with the imported 3D model file are located. Only needs to be set if the base directory differs from that containing the imported 3D model file. Default value: `null`.

Parameters:
  `url` - location of associated files

#### getImageFilePaths

    java.util.Map<javafx.scene.image.Image,FilePath> getImageFilePaths()

Gets the map which contains the FilePath objects for all imported texture images.

Returns:
  paths of imported images or `null` if no image is imported
See Also:
  `FilePath`

#### getNamedMaterials

    java.util.Map<java.lang.String,javafx.scene.paint.PhongMaterial> getNamedMaterials()

Gets the map which contains all named and used PhongMaterial objects from the imported file.

Returns:
  named and used PhongMaterials or `null` if no material is named and used

Copyright (C) 2013-2014 InteractiveMesh e.K.